Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tax
Class Currency

    java.lang.Object
      com.bea.commerce.ebusiness.tax.Currency

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Currency

extends Object

Constructor Summary
`Currency()` Deprecated See BEA Commerce product offering
`Currency(Currency curr)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getEnglishLabel()` Deprecated See BEA Commerce product offering
`String` | `getISOCode()` Deprecated See BEA Commerce product offering
`void` | `setEnglishLabel(String label)` Deprecated See BEA Commerce product offering
`void` | `setISOCode(String abbr)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Currency

    public Currency()

  Deprecated See BEA Commerce product offering

### Currency

    public Currency(Currency curr)

  Deprecated See BEA Commerce product offering

Method Detail

### setEnglishLabel

    public void setEnglishLabel(String label)

  Deprecated See BEA Commerce product offering

### getEnglishLabel

    public String getEnglishLabel()

  Deprecated See BEA Commerce product offering

### setISOCode

    public void setISOCode(String abbr)
                    throws IllegalArgumentException

  Deprecated See BEA Commerce product offering

  Throws
    `IllegalArgumentException`

### getISOCode

    public String getISOCode()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved